=== modified file 'ivle/webapp/admin/subject.py'
--- ivle/webapp/admin/subject.py	2009-05-06 09:56:15 +0000
+++ ivle/webapp/admin/subject.py	2009-05-06 10:42:04 +0000
@@ -222,13 +222,6 @@
         ctx['format_datetime_short'] = ivle.date.format_datetime_for_paragraph
         ctx['project'] = self.context
 
-        ctx['submissions'] = []
-        for assessed in self.context.assesseds:
-            if assessed.submissions.count() > 0:
-                ctx['submissions'].append(
-                        assessed.submissions.order_by(
-                            ProjectSubmission.date_submitted)[-1])
-
 class Plugin(ViewPlugin, MediaPlugin):
     urls = [
         ('subjects/', SubjectsView),

=== modified file 'ivle/webapp/admin/templates/project.html'
--- ivle/webapp/admin/templates/project.html	2009-05-06 09:56:15 +0000
+++ ivle/webapp/admin/templates/project.html	2009-05-06 10:42:04 +0000
@@ -7,15 +7,16 @@
     <h1>${project.name} for ${project.project_set.offering.subject.name}</h1>
     <div id="ivle_padding">
       <p>${project.synopsis}</p>
-      <p>Submissions: ${len(submissions)}/${project.project_set.assigned.count()}</p>
-      <table border="1" summary="Latest Submissions" py:if="len(submissions) > 0">
+      <p>Submissions: ${project.latest_submissions.count()}/${project.project_set.assigned.count()}</p>
+      <table border="1" summary="Latest Submissions"
+             py:if="project.latest_submissions.count() > 0">
         <tr>
           <th>Name</th>
           <th>Submitted By</th>
           <th>Time Submitted</th>
           <th>Repository</th>
         </tr>
-      <py:for each="submission in submissions">
+      <py:for each="submission in project.latest_submissions">
         <tr>
           <td>${submission.assessed.principal.display_name}</td>
           <td>${submission.submitter.display_name}</td>

